
:root {
    --clr-light: #ffffff;
    --clr-light-grey: #eeeeee;
    --clr-grey: #777777;
    --clr-dark: #303030;
}

.timeline {
    position: relative;
    max-width: 50em;
    margin: 0 auto;
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-color: var(--clr-grey);
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -3px;
}

/* Timeline-Bubble around content */
.timeline-bubble {
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 50%;
}

/* The circles on the timeline */
.timeline-bubble::after {
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    right: -13px;
    background-color: var(--clr-grey);
    border: 4px solid var(--clr-light);
    top: 15px;
    border-radius: 50%;
    z-index: 1;
}

/* Place the timeline-bubble to the left */
.timeline-bubble-left {
    left: 0;
}

/* Place the timeline-bubble to the right */
.timeline-bubble-right {
    left: 50%;
}

/* Add arrows to the left timeline-bubble (pointing right) */
.timeline-bubble-left::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    right: 30px;
    border: medium solid var(--clr-grey);
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent var(--clr-light-grey);
}

/* Add arrows to the right timeline-bubble (pointing left) */
.timeline-bubble-right::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    left: 30px;
    border: medium solid var(--clr-grey);
    border-width: 10px 10px 10px 0;
    border-color: transparent var(--clr-light-grey) transparent transparent;
}

/* Fix the circle for timeline-bubbles on the right side */
.timeline-bubble-right::after {
    left: -13px;
}

/* The actual content */
.content {
    padding: 20px 30px;
    background-color: var(--clr-light-grey);
    position: relative;
    border-radius: 16px;
}

/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 1100px) {
    /* Place the timelime to the left */
    .timeline::after {
    left: 31px;
    background-color: var(--clr-light);
    }

    /* Full-width timeline-bubbles */
    .timeline-bubble {
    width: 100%;
    padding-left: 70px;
    padding-right: 25px;
    }

    /* Make sure that all arrows are pointing leftwards */
    .timeline-bubble::before {
    left: 60px;
    border: medium solid var(--clr-grey);
    border-width: 10px 10px 10px 0;
    border-color: transparent var(--clr-light-grey) transparent transparent;
    }

    /* Make sure all circles are at the same spot */
    .timeline-bubble-left::after, .timeline-bubble-right::after {
    left: 18px;
    }

    /* Make all right timeline-bubbles behave like the left ones */
    .timeline-bubble-right {
    left: 0%;
    }
}
